Unable to build app for testing - manifest ERROR

Got a LiveCode personal license? Are you a beginner, hobbyist or educator that's new to LiveCode? This forum is the place to go for help getting started. Welcome!

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller

abanowBUSTfGf
Posts: 63
Joined: Sat Dec 22, 2012 3:01 am

Unable to build app for testing - manifest ERROR

Post by abanowBUSTfGf » Mon Jan 21, 2013 6:09 am

When trying to test my app on a tethered Android, I get the error:
"Unable to build app for testing: could not generate package manifest"
Any help would be appreciated. Thanks.

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 5024
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by jacque » Mon Jan 21, 2013 7:00 pm

Did you alter the original manifest that ships with LiveCode? If you add or remove lines, that error can happen.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

SimpleLife
Posts: 15
Joined: Sat Jul 28, 2012 6:48 pm

Re: Unable to build app for testing - manifest ERROR

Post by SimpleLife » Mon May 27, 2013 3:42 pm

I have the same issue.

I haven't changed the manifest.

Where does it live and what should it's contents be?

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 5024
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by jacque » Mon May 27, 2013 6:13 pm

It lives in Tools/Runtime/Android/manifest.xml, but if you haven't changed it then it's the one that ships with LiveCode. I think it is probably time to write to support@runrev.com and see if they know what the problem is.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

bertBUSIbr8
Posts: 38
Joined: Thu Jun 28, 2012 2:48 pm
Location: West-Cork, Ireland
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by bertBUSIbr8 » Thu Oct 10, 2013 10:45 am

Hi,



I'm running into the same error here: "Unable to build app for testing: could not generate package manifest."

Running Mac OSX 10.7.5, Livecode 6.1.2 RC2 [updated today], Android SDK 22.2.1, Java 7 Update 25.

Haven't touched the manifest, didn't know what or where to be honest.

Any ideas?


Many thanks,


Bert

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: Unable to build app for testing - manifest ERROR

Post by LCNeil » Thu Oct 10, 2013 11:23 am

Hi Bert,

Does the manifest issue occur for all applications you try to build?

This error can happen if you have icons assigned in your Android standalone application settings that have become unlinked or are not present anymore.

If you have any icons set the best thing to do is remove these and then trying to build again. If the issue persist, please get back in touch and we will attempt to assist further.

Kind Regards,

Neil Roger

--
RunRev Support Team ~ http://www.runrev.com
--

bertBUSIbr8
Posts: 38
Joined: Thu Jun 28, 2012 2:48 pm
Location: West-Cork, Ireland
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by bertBUSIbr8 » Fri Oct 18, 2013 2:49 pm

Hi Neil,


Thanks for responding, was away for a while hence the delay here.

Figured out in the meantime what I'd done wrong.

In the standalone application settings I had put:

Version Name: 0.0.1 and Version Code 0.0.1

As soon as I changed the Version Code to 1, it all worked fine.


Regards,


Bert

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: Unable to build app for testing - manifest ERROR

Post by LCNeil » Fri Oct 18, 2013 3:02 pm

Hi Bert,

Thanks for letting us know your solution! I'm sure this will be helpful for any other users come across a similar issue

Kind Regards,

Neil Roger
--
RunRev Support Team ~ http://www.runrev.com
-

paoloriz
Posts: 3
Joined: Wed Oct 22, 2014 10:48 pm

Re: Unable to build app for testing - manifest ERROR

Post by paoloriz » Thu Oct 23, 2014 9:56 am

Hi guys,

I have the same issue and the settings above are all correct. I didnt specify any icon.
I am simply trying to build an app with a button in it to see if everythign works fine. I followed all the instructions in the tutorials but I have this manifest error.

Any hint?
Thanks
Paolo

Elia
Posts: 2
Joined: Thu Oct 23, 2014 8:39 am

Re: Unable to build app for testing - manifest ERROR

Post by Elia » Thu Oct 23, 2014 4:11 pm

Hi to all,
I have just install all SDK 23.0.5, Java 8 update 25, LC 6.6.5. (windows 7 home basic)
In preferences -> mobile support all is recognized, i have an Android Device installed and selected for test, but i have the same error when I run the test
"Unable to build app for testing: could not generate package manifest"

thanks for help

Elia

rumplestiltskin
Posts: 219
Joined: Wed Jun 21, 2006 7:33 pm
Location: West of the Pecos
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by rumplestiltskin » Fri Oct 24, 2014 8:49 pm

Didn''t work for me. I installed SDK 5, 4.0.3, and 2.2 using the instructions at the appropriate webpage. I created a VM (which does open a window). But I still get the "manifest error" under LiveCode 7 (Stable release) whether the VM is running or not (and I think this has nothing to do with the problem). I set the version numbers to "1" in the Standalone Settings but no luck. My app consists of nothing more than a small stack with a "Hello World" button.

Assistance will be appreciated. Thanks,
Barry
bertBUSIbr8 wrote:Hi Neil,


Thanks for responding, was away for a while hence the delay here.

Figured out in the meantime what I'd done wrong.

In the standalone application settings I had put:

Version Name: 0.0.1 and Version Code 0.0.1

As soon as I changed the Version Code to 1, it all worked fine.


Regards,


Bert

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: Unable to build app for testing - manifest ERROR

Post by LCNeil » Fri Oct 24, 2014 9:11 pm

Hi All,

This seems to be an issue with the latest Android SDK and LiveCode. More specifically, having any SDK build tools installed above revision 20 will result in the manifest error. The current solution to this is to remove any build tools 21 or above.

The following screenshot shows my current working Android SDK manager installation-
sdk.png

Kind Regards,

Neil Roger
--
LiveCode Support Team ~ http://www.runrev.com
--

rumplestiltskin
Posts: 219
Joined: Wed Jun 21, 2006 7:33 pm
Location: West of the Pecos
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by rumplestiltskin » Fri Oct 24, 2014 10:46 pm

Neil,

Thanks. I'm closer but now have a different issue. The error I get now is "Missing APK File". Should I have -nothing- in the way of API 21 items?

I find I have to launch the emuiator first (and I used the Nexus 5 as the basis for my emulator as that is the phone I own so, eventually, I can test it right on the hardware device) in order for it to be listed in the Test Target sub-menu. Once I select "Test", it goes through all the motions (I guess) but ends up with the APK error mentioned above.

Again, advice would be appreciated.

Thanks,
Barry

rumplestiltskin
Posts: 219
Joined: Wed Jun 21, 2006 7:33 pm
Location: West of the Pecos
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by rumplestiltskin » Fri Oct 24, 2014 10:50 pm

Neil,

I have the same items installed in the Tools section as your picture shows. I did not install Android 5.0.

Barry

rumplestiltskin
Posts: 219
Joined: Wed Jun 21, 2006 7:33 pm
Location: West of the Pecos
Contact:

Re: Unable to build app for testing - manifest ERROR

Post by rumplestiltskin » Fri Oct 24, 2014 10:58 pm

One more piece of info: The emulator seems to be running just fine—works just like a big, on-screen Android phone—but that "Missing APK File" is the issue. Certainly a less than helpful error message. :/

Post Reply

Return to “Getting Started with LiveCode - Complete Beginners”